aboutsummaryrefslogtreecommitdiffstats
path: root/testing/jailkit/jailkit.post-install
diff options
context:
space:
mode:
authorDean Takemori <deant@hawaii.rr.com>2012-07-09 09:53:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-07-09 09:53:43 +0000
commitd09efed349abd09ba6f78f64d8ec1b639df58ebc (patch)
treee313b39397fc1a129f8b9b3ffe96c3f7e4256adf /testing/jailkit/jailkit.post-install
parent4ef696f942835f0c255ed9d337ec35707011f683 (diff)
downloadaports-d09efed349abd09ba6f78f64d8ec1b639df58ebc.tar.bz2
aports-d09efed349abd09ba6f78f64d8ec1b639df58ebc.tar.xz
testing/jailkit: new aport
Utilities for chroot jailing a user or process. http://olivier.sessink.nl/jailkit
Diffstat (limited to 'testing/jailkit/jailkit.post-install')
-rw-r--r--testing/jailkit/jailkit.post-install11
1 files changed, 11 insertions, 0 deletions
diff --git a/testing/jailkit/jailkit.post-install b/testing/jailkit/jailkit.post-install
new file mode 100644
index 0000000000..3476571882
--- /dev/null
+++ b/testing/jailkit/jailkit.post-install
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# test if the jk_chrootsh is already in /etc/shells
+# this previously had _at_echo but that fails on FreeBSD
+if test -w /etc/shells; then \
+ if ! grep /usr/sbin/jk_chrootsh /etc/shells ; then \
+ echo "appending /usr/sbin/jk_chroots to /etc/shells";\
+ echo /usr/sbin/jk_chrootsh >> /etc/shells ;\
+ fi \
+fi
+